Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
activate.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $preferences = new eZPreferences()
| $single_module = eZModuleHandler::useSingleModule()
if( $single_module) | else
| $uri =& $_REQUEST["RefURL"]

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file activate.php.

## ◆ $preferences

$preferences = new eZPreferences()

Definition at line 32 of file activate.php.

## ◆ $single_module

$single_module = eZModuleHandler::useSingleModule()

Definition at line 33 of file activate.php.

Referenced by ezpbKernelAdmin\run(), and eZModuleHandler\useSingleModule().

## ◆ $uri

$uri =& $_REQUEST["RefURL"]

Definition at line 71 of file activate.php.

Referenced by ezpRestRequest\__construct(), eZURI\__construct(), eZMenuBox\createBox(), eZURI\dropBase(), fetchModule(), ezpRestRequest\getBaseURI(), eZSys\getValidwwwDir(), eZHTTPHeader\headerOverrideArray(), eZURI\instance(), eZSiteAccess\match(), eZURI\matchBase(), eZURITool\merge(), eZURI\originalURIString(), ezpMobileDeviceRegexpFilter\redirect(), eZURI\setURIString(), eZURITool\split(), and eZURI\uriString().

## ◆ else

if ($single_module) else

Initial value:
{
switch( $ModuleName )
{
case "all":
{
$modules =& eZModuleHandler::all();
break;
}
case "none":
{
$modules = array();
break;
}
default:
{
$modules =& eZModuleHandler::active();
if ( $Activate )
{
$modules =& eZModuleHandler::append( $modules, $ModuleName );
}
else
{
$modules =& eZModuleHandler::remove( $modules, $ModuleName );
}
}
}
}
eZModuleHandler::setActive( $modules )
$modules
foreach( $categories as $category) $modules
Definition: bugedit.php:496
eZModuleHandler\remove
static remove( $modules, $module)
Definition: ezmodulehandler.php:224
eZModuleHandler\append
static append( $modules, $module)
Definition: ezmodulehandler.php:214
eZModuleHandler\active
static active()
Definition: ezmodulehandler.php:139
eZModuleHandler\all
static all()
Definition: ezmodulehandler.php:121
eZModuleHandler\setActive
static setActive( $modules)
Definition: ezmodulehandler.php:203
$ModuleName
$ModuleName
Definition: ezarticle/user/searchsupplier.php:30

Definition at line 40 of file activate.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.